041e:4088 USB-Webcam Creative Live! Cam Chat HD seems to be active all the times

Bug #900340 reported by Alexander Kallenbach on 2011-12-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

As described above. I start Ubuntu and the webcam-LED indicates that the webcam is active. After first real usage, for example with cheese or skype, the webcam-LED turns off.

It's the same problem with the latest kernel (uname -a gives: Linux cerveau 3.3.0-999-generic #201203300409 SMP Fri Mar 30 08:10:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux).

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-14-generic 3.0.0-14.23
ProcVersionSignature: Ubuntu 3.0.0-14.23-generic 3.0.9
Uname: Linux 3.0.0-14-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: alex 2223 F.... pulseaudio
 /dev/snd/controlC1: alex 2223 F.... pulseaudio
CRDA: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xefff4000 irq 23'
   Mixer name : 'Realtek ALC883'
   Components : 'HDA:10ec0883,1043829f,00100002'
   Controls : 36
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'HD'/'Creative Technology Ltd. VF0700 Live! Cam Chat HD at usb-0000:00:04.1-1, high s'
   Mixer name : 'USB Mixer'
   Components : 'USB041e:4088'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 5632
   Mono: Capture 3786 [67%] [-7.22dB] [on]
Date: Mon Dec 5 16:42:43 2011
HibernationDevice: RESUME=UUID=f56f119d-f3ac-4809-aaca-994089bb758a
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
ProcEnviron:
 LANGUAGE=de_DE:en
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 LC_MESSAGES=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-14-generic root=UUID=2b8662c4-a153-4b83-b732-17f4bd99e945 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-14-generic N/A
 linux-backports-modules-3.0.0-14-generic N/A
 linux-firmware 1.60
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to oneiric on 2011-10-02 (64 days ago)
dmi.bios.date: 10/16/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS IPN73-BA ACPI BIOS Revision 0105 Targa
dmi.board.name: IPN73-BA
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSIPN73-BAACPIBIOSRevision0105Targa:bd10/16/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnIPN73-BA:rvr1.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

security vulnerability: yes → no
security vulnerability: yes → no
visibility: private → public
visibility: private → public
Brad Figg (brad-figg) on 2011-12-12
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-upstream-testing precise

I've bought the cam several days before I've posted the bug report so I can't tell you if the issue happened in prior Ubuntu releases. Will test the mainline-kernel later on.

It's the same problem with the latest kernel (uname -a gives: Linux cerveau 3.3.0-999-generic #201203300409 SMP Fri Mar 30 08:10:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux).

tags: removed: needs-upstream-testing
tags: added: apport-collected
description: updated

apport information

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
tags: added: kernel-bug-exists-upstream

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

description: updated
Changed in linux:
importance: Undecided → Unknown
status: New → Unknown
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
summary: - USB-Webcam Creative Live! Cam Chat HD seems to be active all the times
+ 041e:4088 USB-Webcam Creative Live! Cam Chat HD seems to be active all
+ the times

Still an issue in 13.10. I'm sorry but I can't try to install the latest upstream kernel, because I don't want to risk to lose my data.

Alexander Kallenbach, if you backup your data, no risk of loss would exist. Hence, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

description: updated
tags: added: kernel-bug-exists-upstream-v3.3.0 latest-bios-0105 needs-upstream-testing
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Triaged → Incomplete
tags: added: regression-potential
tags: added: saucy
arsocado (arsocado) wrote :

Hi i have the same issue.
I'm using 3.8.0-25-generic #37-Ubuntu on Mint Olivia (15)
Devce ID: 041e:4088
Please guide me and i'll report all the necessary info.

arsocado, in order to track your hardware, while booted into Ubuntu (not Mint) you are welcome to execute at a terminal:
ubuntu-bug linux

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.